You are here

V 3.1.8 'netstandard' error

2 posts / 0 new
Last post
TAIL
Offline
Donator
Joined: 2 years
Last seen: 5 months
V 3.1.8 'netstandard' error

I have recently completed a PR onto the docker version of webgrabplus (linuxserver/webgrabplus).
This has compiled and built successfully, however when I have come to use it I am faced with the following error:

Unhandled Exception:
System.TypeLoadException: Could not load type of field 'WG.Common.InvalidSyntaxException:_MessageList' (3) due to: Could not load file or assembly 'netstandard, Version=2.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51' or one of its dependencies.
[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeLoadException: Could not load type of field 'WG.Common.InvalidSyntaxException:_MessageList' (3) due to: Could not load file or assembly 'netstandard, Version=2.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51' or one of its dependencies.

Is this a case of a missing dependency in the docker or is this something others are seeing when running on linux + mono?
For now I will downgrade to 3.1.7 as this ran fine, but would like to support linuxserver in getting this resolved.

TAIL
Offline
Donator
Joined: 2 years
Last seen: 5 months

Just to confirm this is an issue with the docker & a dependency required within it.
The github link has the full discussion.

This is therefore closed as a discussion.
Thanks

Log in or register to post comments

Brought to you by Jan van Straaten

Program Development - Jan van Straaten ------- Web design - Francis De Paemeleere
Supported by: servercare.nl